/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import java.util.Date;


/**
 * 全局变量表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-29 11:40:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "全局变量表")
public class AtuGlobalVariable extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_name = "name";
  public static final String KEY_dataType = "dataType";
  public static final String KEY_defaultValue = "defaultValue";
  public static final String KEY_memo = "memo";
  public static final String KEY_delete = "delete";
  public static final String KEY_variableType = "variableType";
  public static final String KEY_scriptId = "scriptId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 32, message="-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 变量名称<br>
   */
  @ApiModelProperty("变量名称")
  @Size(max = 30, message="变量名称-name: 数据长度不能 > 30" )
  private String name;
  /**
   * 数据类型<br>
   */
  @ApiModelProperty("数据类型")
  @Size(max = 10, message="数据类型-dataType: 数据长度不能 > 10" )
  private String dataType;
  /**
   * 默认值<br>
   */
  @ApiModelProperty("默认值")
  @Size(max = 256, message="默认值-defaultValue: 数据长度不能 > 256" )
  private String defaultValue;
  /**
   * 描述<br>
   */
  @ApiModelProperty("描述")
  @Size(max = 50, message="描述-memo: 数据长度不能 > 50" )
  private String memo;
  /**
   * 是否被删除：0-未删除、1-已删除<br>
   */
  @ApiModelProperty("是否被删除：0-未删除、1-已删除")
  private Boolean delete;
  /**
   * 变量类型：0-全局变量、1-脚本变量<br>
   */
  @ApiModelProperty("变量类型：0-全局变量、1-脚本变量")
  private Boolean variableType;
  /**
   * 脚本变量时必填、全局变量时为空<br>
   */
  @ApiModelProperty("脚本变量时必填、全局变量时为空")
  @Size(max = 32, message="脚本变量时必填、全局变量时为空-scriptId: 数据长度不能 > 32" )
  private String scriptId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;

  /**
   * <br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * <br>
   *
   * @param id 
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 变量名称<br>
   */
  public String getName()
  {
      return name;
    }

  /**
   * 变量名称<br>
   *
   * @param name 变量名称
   */
  public void setName(String name)
  {
      this.name = name;
    }
  /**
   * 数据类型<br>
   */
  public String getDataType()
  {
      return dataType;
    }

  /**
   * 数据类型<br>
   *
   * @param dataType 数据类型
   */
  public void setDataType(String dataType)
  {
      this.dataType = dataType;
    }
  /**
   * 默认值<br>
   */
  public String getDefaultValue()
  {
      return defaultValue;
    }

  /**
   * 默认值<br>
   *
   * @param defaultValue 默认值
   */
  public void setDefaultValue(String defaultValue)
  {
      this.defaultValue = defaultValue;
    }
  /**
   * 描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 描述<br>
   *
   * @param memo 描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 是否被删除：0-未删除、1-已删除<br>
   */
  public Boolean getDelete()
  {
      return delete;
    }

  /**
   * 是否被删除：0-未删除、1-已删除<br>
   *
   * @param delete 是否被删除：0-未删除、1-已删除
   */
  public void setDelete(Boolean delete)
  {
      this.delete = delete;
    }
  /**
   * 变量类型：0-全局变量、1-脚本变量<br>
   */
  public Boolean getVariableType()
  {
      return variableType;
    }

  /**
   * 变量类型：0-全局变量、1-脚本变量<br>
   *
   * @param variableType 变量类型：0-全局变量、1-脚本变量
   */
  public void setVariableType(Boolean variableType)
  {
      this.variableType = variableType;
    }
  /**
   * 脚本变量时必填、全局变量时为空<br>
   */
  public String getScriptId()
  {
      return scriptId;
    }

  /**
   * 脚本变量时必填、全局变量时为空<br>
   *
   * @param scriptId 脚本变量时必填、全局变量时为空
   */
  public void setScriptId(String scriptId)
  {
      this.scriptId = scriptId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }

  public AtuGlobalVariable()
  {
  }

}
